aboutsummaryrefslogtreecommitdiff
path: root/sys/kernel
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2007-12-12 13:53:12 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2007-12-12 13:53:12 +0000
commit186c14ac9dc153eaddebd4f89a061c711c789c59 (patch)
tree7e3d356ccb097029dcd66644877ccc38604b1c04 /sys/kernel
parenta8a1480e0d56ccfbd0d53881238ec3ef698d4857 (diff)
downloadslackbuilds-186c14ac9dc153eaddebd4f89a061c711c789c59.tar.gz
slackbuilds-186c14ac9dc153eaddebd4f89a061c711c789c59.tar.bz2
kernel-satan: now $CWD can be used to host patches
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1532 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'sys/kernel')
-rwxr-xr-xsys/kernel/kernel-satan/kernel-satan.SlackBuild8
1 files changed, 6 insertions, 2 deletions
diff --git a/sys/kernel/kernel-satan/kernel-satan.SlackBuild b/sys/kernel/kernel-satan/kernel-satan.SlackBuild
index 960019dd..b91eea6c 100755
--- a/sys/kernel/kernel-satan/kernel-satan.SlackBuild
+++ b/sys/kernel/kernel-satan/kernel-satan.SlackBuild
@@ -59,7 +59,7 @@ if [ ! -f "$SRC_DIR/$KERNEL" ]; then
wget "$KERNEL_URL.sign" -O "$SRC_DIR/$KERNEL.sign" || exit $ERROR_WGET
fi
-if [ ! -f "$SRC_DIR/$PATCH" ]; then
+if [ ! -f "$SRC_DIR/$PATCH" ] || [ ! -f "$CWD/$PATCH" ]; then
wget "$PATCH_URL" -O "$SRC_DIR/$PATCH" || exit $ERROR_WGET
fi
@@ -78,7 +78,11 @@ fi
cp $CWD/config-$KERNEL_VERSION linux-$KERNEL_VERSION/.config || exit $ERROR_CONF
cd linux-$KERNEL_VERSION
-patch -p1 < $SRC_DIR/$PATCH || exit $ERROR_PATCH
+if [ -f "$CWD/$PATCH" ]; then
+ patch -p1 < $CWD/$PATCH || exit $ERROR_PATCH
+else
+ patch -p1 < $SRC_DIR/$PATCH || exit $ERROR_PATCH
+fi
if [ ! -z "$EXTRAVERSION" ] && [ ! -z "$PATCHSET" ]; then
sed -e "s/^EXTRAVERSION =*$/EXTRAVERSION = \.$EXTRAVERSION-$PATCHSET/" Makefile > Makefile.tmp